IF OBJECT_ID('[DREAM].[DimDreamTid]','U') IS NOT NULL
BEGIN
SET IDENTITY_INSERT [DREAM].[DimDreamTid] ON 
IF NOT EXISTS (SELECT 'T' FROM [DREAM].[DimDreamTid] WHERE [DimDreamTidID] = -1 )
  INSERT INTO [DREAM].[DimDreamTid]([DimDreamTidID]) VALUES (-1)
UPDATE [DREAM].[DimDreamTid] SET
   [DatoNoegle] = -1
	,[UgeNoegle] = 175401
	,[UgeIAar] = -1
	,[UgeIAarNavn] = 'Ukendt'
	,[UgeIndex] = -1
	,[MaanedNummer] = 175401
	,[MaanedIAar] = -1
	,[MaanedIAarNavn] = 'Ukendt'
	,[MaanedNavnKort] = 'Ukendt'
	,[KvartalIAar] = -1
	,[Kvartalnummer] = 17540001
	,[KvartalIAarNavn] = 'Ukendt'
	,[Aar] = 1754
	,[MaanedNavn] = 'Ukendt'
	,[KvartalNavn] = 'Ukendt'
	,[SYS_KommuneId] = 999
   WHERE [DimDreamTidID] = -1
SET IDENTITY_INSERT [DREAM].[DimDreamTid] OFF 
END
GO
